CFPRIME GLINE1                                                          GLINE1      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!GLINE1      3
C! GETLINE.FOR    ROUTINE TO READ LINE FROM UNIT AND DISCARD ANY LINES  GLINE1      4
C!                BEGIN WITH AN !                                       GLINE1      5
C!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!FLF!!!!!!!!!GLINE1      6
C                                                                       GLINE1      7
        SUBROUTINE GLINE1(UNIT,XBUFF)                                   GLINE1      8
C                                                                       GLINE1      9
C      .............................................................    GLINE1     10
C      : DEBUG FLAG        : NONE                                  :    GLINE1     11
C      : CALLED BY         : MAIN     SIMDAT     MODAT    FLODA2   :    GLINE1     12
C      :                     READEP   EPCHGC                       :    GLINE1     13
C      : SUBROUTINE CALLED : NONE                                  :    GLINE1     14
C      :                                                           :    GLINE1     15
C      : USEAGE : IN THE CALLING ROUTINE :                         :    GLINE1     16
C      :                                                           :    GLINE1     17
C      :             CHARACTER*132 LINE                            :    GLINE1     18
C      :                - - -                                      :    GLINE1     19
C      :                - - -                                      :    GLINE1     20
C      :             CALL GETLIN (5,LINE)                          :    GLINE1     21
C      :             READ (LINE,959) A,B,C,D I,J,K                 :    GLINE1     22
C      :         959 FORMAT(4F10.4,3I4)                            :    GLINE1     23
C      :...........................................................:    GLINE1     24
C                                                                       GLINE1     25
        CHARACTER*132 XBUFF                                             GLINE1     26
        INTEGER*4 UNIT                                                  GLINE1     27
                                                                        GLINE1     28
C for Vax only                                                          GLINE1     29
C                                                                       GLINE1     30
C       READ(UNIT,100) XBUFF                                            GLINE1     31
C       DO WHILE(XBUFF(1:1).EQ.'!')                                     GLINE1     32
C          READ(UNIT,100) XBUFF                                         GLINE1     33
C       ENDDO                                                           GLINE1     34
C                                                                       GLINE1     35
C General but less efficent standard FORTRAN 77 method                  GLINE1     36
C                                                                       GLINE1     37
 1      CONTINUE                                                        GLINE1     38
        READ(UNIT,100) XBUFF                                            GLINE1     39
        IF (XBUFF(1:1).EQ.'!') GOTO 1                                   GLINE1     40
C                                                                       GLINE1     41
 100    FORMAT(A132)                                                    GLINE1     42
        RETURN                                                          GLINE1     43
        END                                                             GLINE1     44
